package com.interpress_project.modernshare.client.controller.actions;

import com.interpress_project.modernshare.client.controller.command.TaskManager;
import com.interpress_project.modernshare.client.view.ViewManager;

/**
 *@stereotype action
 */
public final class ChangePasswordAction extends ActionAdaptor {
	private final ViewManager vmgr;

	/**
	 * ChangePasswordAction
	 * @param vmgr
	 */
	public ChangePasswordAction(ViewManager vmgr) {
		setText("パスワードの変更(&P)");
		setToolTipText("データセンタに登録されたパスワードを変更します。");
		try {
			setImageDescriptor(ImageFactory.getInstance().getImageDescriptor("security"));
		}
		catch (Exception ex) {
			sb.getLogger().fatal("リソース設定のエラーが発生しました。", ex);
			System.exit(-1);
		}
		this.vmgr = vmgr;
	}

	/**
	 * run
	 */
	public void run() {
		TaskManager taskmgr = TaskManager.getInstance();
		try {
			taskmgr.stop();

			vmgr.getDialogManager().createChangePasswordWizard();
		}
		finally {
			taskmgr.start();
		}
	}
}
